Update webhook
PUT
/integrations/webhooks/{webhookId}
const url = 'https://shoehorn.example.com/api/v1/integrations/webhooks/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"url":"https://example.com","events":["example"],"active":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://shoehorn.example.com/api/v1/integrations/webhooks/example \ --header 'Content-Type: application/json' \ --data '{ "url": "https://example.com", "events": [ "example" ], "active": true }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” webhookId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
url
string format: uri
events
Array<string>
active
boolean
Example generated
{ "url": "https://example.com", "events": [ "example" ], "active": true}Responses
Section titled “ Responses ”Webhook updated